Redland RDF Application Framework API Reference Manual
<<< Previous |  | Next >>>

# librdf_hash_bdb_clone

## Name

librdf_hash_bdb_clone -- Clone the BerkeleyDB hash

## Synopsis

``int `librdf_hash_bdb_clone`` (librdf_hash * `hash`, void* `context`, char * `new_identifier`, void * `old_context`);`

## Arguments

`hash`

  new librdf_hash that this implements

`context`

  new BerkeleyDB hash context

`new_identifier`

  new identifier for this hash

`old_context`

  old BerkeleyDB hash context

## Description

Clones the existing Berkeley DB hash into the new one with the new identifier.

## Return value

non 0 on failure

<<< Previous | Home | Next >>>
librdf_hash_bdb_close | Up | librdf_hash_bdb_values_count